package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 打卡记录对象 clock_record
 * 
 * @author ruoyi
 * @date 2024-08-06
 */
public class ClockRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 打卡记录id */
    private Long clockId;

    /** 人员ID */
    @Excel(name = "人员ID")
    private Long userId;

    /** 所属部门名称 */
    @Excel(name = "所属部门名称")
    private Long deptName;

    /** 人员姓名 */
    @Excel(name = "人员姓名")
    private String userName;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phonenumber;

    /** 人员身份证号 */
    @Excel(name = "人员身份证号")
    private String idCard;

    /** 打卡记录日期（yyyy-mm-dd） */
    @Excel(name = "打卡记录日期")
    private String recordTime;

    /** 周几（1：星期一，2：星期二，3：星期三，4：星期四，5：星期五，6：星期六，7：星期日) */
    @Excel(name = "周几", readConverterExp = "1=星期一,2=星期二,3=星期三,4=星期四,5=星期五,6=星期六,7=星期日")
    private String week;

    /** 上班打卡时间 */
    @Excel(name = "上班打卡时间")
    private String workingTime;

    /** 下班打卡时间 */
    @Excel(name = "下班打卡时间")
    private String dutyTime;

    private String startTime;

    private String endTime;

    /** 是否打卡 N:否，Y:是*/
    @Excel(name = "是否打卡", readConverterExp = "N=否,Y=是")
    private String type;

    public void setClockId(Long clockId) 
    {
        this.clockId = clockId;
    }

    public Long getClockId() 
    {
        return clockId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setDeptName(Long deptName) 
    {
        this.deptName = deptName;
    }

    public Long getDeptName() 
    {
        return deptName;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setPhonenumber(String phonenumber) 
    {
        this.phonenumber = phonenumber;
    }

    public String getPhonenumber() 
    {
        return phonenumber;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setRecordTime(String recordTime) 
    {
        this.recordTime = recordTime;
    }

    public String getRecordTime() 
    {
        return recordTime;
    }
    public void setWorkingTime(String workingTime) 
    {
        this.workingTime = workingTime;
    }

    public String getWorkingTime() 
    {
        return workingTime;
    }
    public void setDutyTime(String dutyTime) 
    {
        this.dutyTime = dutyTime;
    }

    public String getDutyTime() 
    {
        return dutyTime;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getWeek() {
        return week;
    }

    public void setWeek(String week) {
        this.week = week;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("clockId", getClockId())
            .append("userId", getUserId())
            .append("deptName", getDeptName())
            .append("userName", getUserName())
            .append("phonenumber", getPhonenumber())
            .append("idCard", getIdCard())
            .append("recordTime", getRecordTime())
            .append("workingTime", getWorkingTime())
            .append("dutyTime", getDutyTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
